<template>
  <div>
    <div class="add">
      <form @submit="onSubmit">
        <input type="text" name="title" v-model="title" placeholder="Add Todo ..." class="mt-5">
        <input type="submit" value="Submit" class="mt-5 ml-3">
      </form>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';
export default {
  name: 'AddTodo',
  data() {
    return {
      title: ''
    }
  },
  methods: {
    ...mapActions(['addTodo']),
    onSubmit(e) {
      e.preventDefault();
      this.addTodo(this.title);
    }
  }
};
</script>

<style scoped>

form {
  display: flex;
}

input[type="text"] {
  flex: 10;
  padding: 10px;
  border: 1px solid #41b883;
  border-radius: 5px;
  outline: 0;
  color: #41b883;
}

input[type="submit"] {
  flex: 2;
  background: #41b883;
  border-radius: 5px;
  color: #fff;
  border: 1px solid #41b883;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

input[type="submit"]:hover {
  background: #41e983;
}


</style>
